/* hyp_math.h    include file for hyperbolic geometry utility routines 
Ken Stephenson, 8/91 

NOTE: z1, z2 may be interchanged during creation. */

typedef struct
{
	int line_flag;		/* if true, calls for straight line */
	complex c,z1,z2;	/* center and endpts (counterclockwise) */
	double rad,arg1,arg2;/* eucl radius and angles (arg1<=arg2)*/
} hyp_geodesic;
