#include "sa_types.h"
#include "sa_proto.h"

/* Compare doubles x y according to criteria in 'datastr'; return 1
if true, 0 for false or error.*/

int comparison(char *datastr,double x,double y)
{
  double diff;

  if (datastr==NULL) /* must be unitary condition */
    {
      if (x>0.0) return 1;
      else return 0; 
    }
  diff=x-y;
  if (*datastr=='=' || *datastr=='!') {
    if (x!=0.0) diff=fabs(diff/x);
    else if (y!=0.0) diff=fabs(diff/y);
    else diff=0.0;
    if (*datastr=='=') /* equal */
      return (diff<0.00000000001);
    else /* not equal */
      return (diff>0.00000000001);
  }
  if (*datastr=='>') {
    if (*(datastr+1)=='=') return (diff>=0.0);
    else return (diff>0.0);
  }
  if (*datastr=='<') {
    if (*(datastr+1)=='=') return (diff<=0.0);
    else return (diff<0.0);
  }
  return 0;
} /* comparison */
