#include "sa_types.h"
#include "sa_proto.h"

/* identify vertices interior to path */

int find_path_int(struct p_data *p)
{
	int i,length;
	struct K_data *pK_ptr;
	struct R_data *pR_ptr;
	CPXPoint *Xptr;
	/* extern XPoint *path_XPoints(); */

	if (pathlist==NULL || !p->status) return 0;	
	pK_ptr=p->packK_ptr;pR_ptr=p->packR_ptr;
	length=pathlength;
	Xptr=(CPXPoint *) path_XPoints(p->screen,pathlist,&length);
	region=CPXPolygonRegion(Xptr,length,CPWindingRule);
	free(Xptr);
	for (i=1;i<=p->nodecount;i++) /* set util_flag for interior */
	 {
		if (path_wrap(p,pR_ptr[i].center))
			pK_ptr[i].util_flag=1;
		else pK_ptr[i].util_flag=0;
	 }
	CPXDestroyRegion(region);
	if (!pK_ptr[p->alpha].util_flag) 
		for (i=1;i<=p->nodecount;i++)
		 {
			if (pK_ptr[i].util_flag) 
				pK_ptr[i].util_flag=0;
			else pK_ptr[i].util_flag=1;
		 }
	return 1;
} /* find_path_int */
