#include "sa_types.h"
#include "sa_proto.h"

struct Pathlist *sph_poly_list(struct s_data *q,struct Centlist *c_list)
     /* clockw' list of spherical points on geodesics forming polygon. */
     /* fixup: adjust numplot for pixel size */
{
  int front;
  complex zv,zw;

  struct Pathlist *firstlist=NULL,*nlist,*trace=NULL;
  struct Centlist *ctrace;

  if (!(ctrace=c_list) || !(c_list->next)) return NULL;
  zw=ss_view(q,c_list->z,1,&front);
  ctrace=ctrace->next;
  while (ctrace)
    {
      zv=zw;
      zw=ss_view(q,ctrace->z,1,&front);
      /* skip repeats */
      while (ctrace && (zw.re==zv.re && zw.im==zv.im))
	{
	  ctrace=ctrace->next;
	  if (ctrace) zw=ss_view(q,ctrace->z,1,&front);
	}
      if (ctrace)
	{
	  if ((nlist=full_s_geodesic(zv,zw,num_plot))==NULL) 
	    {path_free(&firstlist);return NULL;}
	  if (!firstlist) firstlist=trace=nlist;
	  else trace->next=nlist;
	  while (trace->next) 
	    trace=trace->next;
	  ctrace=ctrace->next;
	}
    }
  return firstlist;
} /* sph_poly_list */

