#include "sa_types.h"
#include "sa_proto.h"

/* Write VERT_LIST formated data to file. */

int write_vert_list(struct p_data *p,char *filename,char *datastr)
{
  int hits;
  struct Vertlist *vertlist=NULL,*trace;
  char *nextpoint,*endptr;
  FILE *fp;

  nextpoint=datastr;
  stripsp(nextpoint);
  if (!(fp=fopen(filename,"a"))
      || !(vertlist=Node_link_parse(p,nextpoint,&endptr,&hits,
	   &Vlist,&Elist,&Flist,&region,pathlist,pathlength)))
    return 0;
  fprintf(fp,"\nVERT_LIST: ");
  trace=vertlist;
  hits=0;
  while (trace)
    {
      fprintf(fp," %d",trace->v);
      trace=trace->next;
      hits++;
    }
  fprintf(fp,"\n   (done)\n\nEND\n");
  fclose(fp);
  vert_free(&vertlist);
  return hits;
} /* write_vert_list */
