/* $TOG: Xutil.h /main/45 1998/02/06 18:03:35 kaleb $ */

/***********************************************************

Copyright 1987, 1998  The Open Group

All Rights Reserved.

The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL THE
OPEN GROUP BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN
AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

Except as contained in this notice, the name of The Open Group shall not be
used in advertising or otherwise to promote the sale, use or other dealings
in this Software without prior written authorization from The Open Group.


Copyright 1987 by Digital Equipment Corporation, Maynard, Massachusetts.

                        All Rights Reserved

Permission to use, copy, modify, and distribute this software and its 
documentation for any purpose and without fee is hereby granted, 
provided that the above copyright notice appear in all copies and that
both that copyright notice and this permission notice appear in 
supporting documentation, and that the name of Digital not be
used in advertising or publicity pertaining to distribution of the
software without specific, written prior permission.  

DIGITAL DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING
ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT SHALL
DIGITAL BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR
ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS
SOFTWARE.

******************************************************************/
/* $XFree86: xc/lib/X11/Xutil.h,v 3.2 2000/11/28 18:49:29 dawes Exp $ */

#ifndef _CPXUTIL_H_
#define _CPXUTIL_H_

/* You must include <CPXlib.h> before including this file */

/*
 * opaque reference to Region data type 
 */

typedef struct _CPXRegion *CPRegion;

/* Return values from CPXRectInRegion() */
 
#define CPRectangleOut 0
#define CPRectangleIn  1
#define CPRectanglePart 2
 
extern int CPXClipBox(CPRegion, CPXRectangle*);
extern CPRegion CPXCreateRegion(void);
extern int CPXDestroyRegion(CPRegion);
extern int CPXEmptyRegion(CPRegion);
extern int CPXEqualRegion(CPRegion, CPRegion);
extern int CPXIntersectRegion(CPRegion, CPRegion, CPRegion);
extern int CPXOffsetRegion(CPRegion, int, int);
extern Bool CPXPointInRegion(CPRegion , int , int );
extern CPRegion CPXPolygonRegion(CPXPoint*, int, int);
extern int CPXRectInRegion(CPRegion, int, int, unsigned int, unsigned int);
extern int CPXShrinkRegion(CPRegion, int, int);
extern int CPXSubtractRegion(CPRegion, CPRegion, CPRegion);
extern int CPXUnionRectWithRegion(CPXRectangle*, CPRegion, CPRegion);
extern int CPXUnionRegion(CPRegion, CPRegion, CPRegion);
extern int CPXXorRegion(CPRegion, CPRegion, CPRegion);

#endif /* _XUTIL_H_ */
