#ifndef __SOCKETFUN_H__
#define __SOCKETFUN_H__

#include <stdio.h>
#include "sa_hooks.h"

#ifdef WIN32
#include <winsock.h>
//#include <mem.h>
#include <string.h>
typedef int socklen_t; 
#else
#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <stdio.h>
#include <netdb.h>
#include <signal.h>
#include <unistd.h>
#include <string.h>
#include <stdlib.h>
#endif

extern int accept_connection(int s);
extern int request_connection(struct hostent *host,int port);
extern int serve_socket(struct hostent *host,int port);
extern int test_request_connection(char *hn,int port);

#endif
