#include "sa_head.h"
/* This code was called "jason_howard_code". Jason designed it to check
the distribution of moduli for a torus undergoing randomized edge-flips.
*/
FILE *fph=NULL;
FILE *fp1=NULL;
complex calctau(complex *W);
int rand_torus_flip_code(char *datastr)
{
  int count=0,nodecount,num,i=0,erflag=0;
  int j;
  //int n;
  int lpcnt=0;
  int f1=3; /* number of flips */
  int k;
  int v1; /* first random vertice */
  int v2; /* neighbor of v1 */
  int *V1;
  complex W[7]; /* matrix for side pairing maps */
  complex *C; /* create based on number of cycles */
  //complex w,wcheck; /* period ratio */ 
  complex tau;
  //complex r1,r12,r2,r22,r3,r32;
  //double bnd;
  struct p_data *p=&(packdata[current_p]);
  complex m_one;
  Mobius mob;

  
  if (sscanf(datastr,"%d",&f1)!= 1 || f1<0 
      || p->num_bdry_comp>0 || p->genus!=1)
    return 0;
  V1=(int *)calloc(f1+1,sizeof(int));
  sprintf(msgbuf,"Hello is 3/26/02 ");
  msg();
  
  

  C=(complex *)calloc((size_t)(f1+5),sizeof(complex));

/* read data in. Want w1,w2 ... = cdiv(mob.a, mob.b) for each 
   edge-pair[i].mob consider putting in array W and do for loop on 
   i.(this will change r1 etc)*/
  nodecount=p->nodecount;
  m_one.re=-1.0;m_one.im=0.0;
  k=0;

sprintf(buf,"write -c output.dat");
handle_cmd(buf,&current_p);



fph=fopen("packings/output.vert","w");

fprintf(fph, "FLIPLIST: \n");
fprintf(fph,"\n");
fclose(fph);fph=NULL;
  do
    {
      if (!fph) fph=fopen("packings/output.vert","a");
      
      j=1;
      while(p->edge_pair[j].edge)
	{
	  mob=p->edge_pair[j].mob;
	  W[j]=cdiv(mob.b,mob.a);
	  j++;
	}
      if (mob.a.re!=0 && mob.a.im!=0 && count==0) 
	{
	  tau=torus_t(p,&erflag);
	  count=count+1;
	}
      
    
if (count<f1)
	{
	  v1=rand()%nodecount;
	  v1=v1+1;
	  num=p->packK_ptr[v1].num;
	  v2=p->packK_ptr[v1].flower[rand()%(num)];
	  
	  
	  
	  
	
	  

	  // This is the old method without error cheching

	  //******************************************
	  //sprintf(buf,"flip %d %d",v1,v2);
	  //handle_cmd(buf,&current_p);
	  
	  //sprintf(buf,"repack 2000");
	  //handle_cmd(buf,&current_p);
	  //sprintf(buf,"fix");
	  //handle_cmd(buf,&current_p);

	  //sprintf(buf,"disp -w -C -Rn a");
	  //handle_cmd(buf,&current_p);
	 
	  //sprintf(msgbuf,"Flip # %d of %d",count,f1);
	  //msg();
	  //******************************************
	  if (flip_edge(p,v1,v2,1))
	    {
	      i=i+1;
	       if (i>=50)
	      {
		sprintf(buf,"Problems trying to find candidates to flip");
		handle_cmd(buf,&current_p);
		return 0;
	      }

	    }

	  if (flip_edge(p,v1,v2,2))
            {
/* debugging */
	    sprintf(buf,"write torerr.p");
	    handle_cmd(buf,&current_p); 

	      i=0;
              complex_count(p,0);
              facedraworder(p,0);

              sprintf(buf,"repack 2000");
              handle_cmd(buf,&current_p);
              sprintf(buf,"fix");
              handle_cmd(buf,&current_p);
	      sprintf(buf,"norm_scale -a 1.0");
	      handle_cmd(buf,&current_p);

              sprintf(buf,"disp -w -C -Rn a ");
	      handle_cmd(buf,&current_p);


	      count++;
	      fprintf(fph,"%d %d %d \n",count,v1,v2);
              if (!(count % 100)) 
{
  fclose(fph);
  fph=NULL;
}
	      
	      if (mob.a.re!=0 && mob.a.im!=0) 
		{
		  tau=torus_t(p,&erflag);
		}
	  
	      if(mob.a.re==0 && mob.a.im==0)
		{
		   sprintf(msgbuf,"An error has occured ");
		   msg();
		  return 0;
		  
		  
		}



	    }



	}// End if Statement

     

      C[count]=tau;
      

    } while (count<f1);

  if (!fph) fph=fopen("packings/output.vert","a");

  fprintf(fph,"\n");
  fprintf(fph,"END");
  fclose(fph);


fp1=fopen("tau.dat","w");
  for (i=0;i<count;i++)
   fprintf(fp1," %.12f %.12f\n",(singledouble)C[i].re,(singledouble)C[i].im);
fclose(fp1);

return 1;
} /* rand_torus_flip_code */




























