#include "sa_types.h"
#include "sa_proto.h"

/* Write path data to an open file. */

int writepath(FILE *fp,struct Pathlist *pathlist)
{
  int count=0;
  struct Pathlist *trace;
  singledouble x, y;

  if (!fp) return 0;
  fprintf(fp,"PATH\n");
  trace=pathlist;
  while (trace!=NULL)
    {
      x = trace->x;
      y = trace->y;
      fprintf(fp,"%f %f \n", x, y);
      trace=trace->next;
      count++;
    }
  fprintf(fp,"END\n");
  return count;
} /* writepath */
